<template>

<div v-if="report" class="text-center">
    <div
        v-bind:style="{
            'background-color': report.thresholds.current.getColor(report.currentAverage),
            'color': blend(report.thresholds.current.getColor(report.currentAverage), '#000000', 0.7),
            'border-color': blend(report.thresholds.current.getColor(report.currentAverage), '#000000', 0.3),
            'border-width': '3px'
        }"
        class="
        w-auto
        inline-block
        px-4
        py-2
        lg:py-3
        rounded-full
        lg:text-lg
        tracking-wide
    ">
        {{
            $t('average')
            + ' '
            + $t(report.values.current)
            + ' '
            + $t('colon')
            + ' '
        }}
        <b>{{averageToString(report.currentAverage)}}</b>
    </div>
</div>

</template>

<script lang='ts'>

import { Component, Prop, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import { Project } from '@/ts/project';
import { blend } from '@/ts/utils/blender';
import { Unit } from '@/ts/unit';

@Component
export default class C extends Vue {
    @State('project')
    private project!: Project;

    private blend = blend;

    private report: any = null;

    private mounted() {
        this.report = (this.project as any).reports.current;
    }

    averageToString(average: number) {
        const UNIT: string = this.report.points.children[0].values[this.report.values.current].value.toUnit();
        return new Unit(average, UNIT);
    }
}

</script>
